[Battlemesh] FCC fw lockdown vs. GPLv3?

Linus L├╝ssing linus.luessing at c0d3.blue
Sat Sep 26 11:14:05 CEST 2015


On Sat, Sep 26, 2015 at 09:27:29AM +0200, Henning Rogge wrote:
> I don't think Linus would accept patches that are not under GPLv2...
> you could double-licence them, but without the GPLv2 part there is not
> a chance that they get into the main kernel.

yeah... Actually it's not a "would" but simply no one *can* legally
stack GPLv3 patches on top of GPLv2 licensed code which doesn't
have the "upwards compatibility sentence" (which Linux mostly
hasn't).

Like I grumbled in the end, many people would need to add an
extra GPLv3 license...

Cheers



More information about the Battlemesh mailing list